org.apache.nutch.indexer.solr

## Class SolrDeleteDuplicates.SolrInputFormat

- java.lang.Object
- - org.apache.hadoop.mapreduce.InputFormat<Text,SolrDeleteDuplicates.SolrRecord>
  - - org.apache.nutch.indexer.solr.SolrDeleteDuplicates.SolrInputFormat

- Enclosing class:
    SolrDeleteDuplicates

      public static class SolrDeleteDuplicates.SolrInputFormat
      extends InputFormat<Text,SolrDeleteDuplicates.SolrRecord>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolrInputFormat()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RecordReader<Text,SolrDeleteDuplicates.SolrRecord>` | `createRecordReader(InputSplit split, TaskAttemptContext context)`
    `java.util.List<InputSplit>` | `getSplits(JobContext context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SolrInputFormat

          public SolrInputFormat()

  - ### Method Detail

    - #### getSplits

          public java.util.List<InputSplit> getSplits(JobContext context)
                                               throws java.io.IOException,
                                                      java.lang.InterruptedException

      Specified by:
        `getSplits` in class `InputFormat<Text,SolrDeleteDuplicates.SolrRecord>`
      Throws:
        `java.io.IOException`
        `java.lang.InterruptedException`

    - #### createRecordReader

          public RecordReader<Text,SolrDeleteDuplicates.SolrRecord> createRecordReader(InputSplit split,
                                                                                       TaskAttemptContext context)
                                                                                throws java.io.IOException,
                                                                                       java.lang.InterruptedException

      Specified by:
        `createRecordReader` in class `InputFormat<Text,SolrDeleteDuplicates.SolrRecord>`
      Throws:
        `java.io.IOException`
        `java.lang.InterruptedException`

Copyright © 2019 The Apache Software Foundation